require cogl.inc
require cogl_abi_version.inc

PR = "r${BS_COGL_ABI_VERSION}"

LIC_FILES_CHKSUM = "file://COPYING;md5=4fbd65380cdd255951079008b364516c"


B = "${WORKDIR}/build"

SRCREV_FORMAT = "source"

PKG_CONFIG_PATH_prepend = "${STAGING_DIR_HOST}/${exec_prefix}/cogl-nopango/${baselib}/pkgconfig:"


AUTOTOOLS_AUXDIR = "${S}/build"

do_configure_prepend() {
#        mkdir -p ${AUTOTOOLS_AUXDIR} ${S}/po/
	cp ${STAGING_DATADIR}/gettext/config.rpath ${AUTOTOOLS_AUXDIR}/
	cp ${STAGING_DATADIR}/gettext/po/Makefile.in.in ${S}/po/
}

PV = "1.16.0+20140812T143911+654db90-bs"
SRC_URI = "http://should-already-by-in-dl-dir/cogl-1.16.0+20140812T143911+654db90-bs.tar.gz"
SRC_URI[sha256sum] = "97cd0b6e0f0a9704526dd97bec3ade72aa5ddaa3cccf1ded946a379c0eb82e0d"
S = "${WORKDIR}/cogl-${PV}"
