SECTION="kernel"
LICENSE="GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=d7810fab7487fb0aad327b76f1be7cd7"
PV = "4.8.114-bs"
SRC_URI = "http://should-already-be-in-dl-dir/linux-4.8.114-bs.tar.gz file://${MACHINE}.config file://sha256sign.py"
SRC_URI[sha256sum] = "1f87574f58ac77c5391de4d7fe52262629b1c2640549d8e0178f5ad564b8f293"
COMPATIBLE_MACHINE = "puma"
PN = "linux-bcm7425"

KERNEL_IMAGETYPE = "vmlinuz"
KERNEL_IMAGETYPE_arm = "zImage"
KERNEL_IMAGE_BASE_NAME = "${KERNEL_IMAGETYPE}"
KERNEL_OUTPUT_mipsel = "${KERNEL_IMAGETYPE}"

inherit kernel
PKG_kernel-image = "kernel-image"

DEPENDS += "lzop-native"

do_configure_prepend() {
	cp "${WORKDIR}/${MACHINE}.config" "${S}/.config"
}
