PV = "1.14.0+20140701T104313+e811671-bs"
SRC_URI = "http://should-already-by-in-dl-dir/clutter-1.14.0+20140701T104313+e811671-bs.tar.gz"
SRC_URI[sha256sum] = "245ff9301a48a12f9c98ff6b7c4ce573346e1d4ce6e76afb1ea15190fd510915"
require clutter.inc
require clutter_abi_version.inc

# We need to rebuild if the cogl ABI changes
require cogl_abi_version.inc



PR = "r${BS_CLUTTER_ABI_VERSION}"

LIC_FILES_CHKSUM = "file://COPYING;md5=4fbd65380cdd255951079008b364516c"


SRCREV_FORMAT = "source"

BASE_CONF += "--disable-introspection"

PACKAGES_DYNAMIC = "libclutter-1.0-examples"

AUTOTOOLS_AUXDIR = "${S}/build"

do_configure_prepend() {
	cp ${STAGING_DATADIR}/gettext/config.rpath ${AUTOTOOLS_AUXDIR}/
	cp ${STAGING_DATADIR}/gettext/po/Makefile.in.in ${S}/po/
}

