PR .= "bs8"

BS_APPEND_DIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
FILESPATH =. "${@base_set_filespath(["${BS_APPEND_DIR}/files"], d)}:"

SRC_URI += "file://log-to-kmsg.patch \
	    file://delay-between-eapol-and-ptk.patch \
	    file://dbus-blob-certificates.patch \
	    file://pmksa-flush-on-disassociate.patch \
	    file://deauth-before-network-free.patch \
            file://test-driver-ess-capability.patch"

do_configure_append() {
    # The unit tests need to use the test driver
    case "${MACHINE}" in
        *-tests) echo "CONFIG_DRIVER_TEST=y" >> wpa_supplicant/.config ;;
    esac
}
